Arduino

Buy | Download | Getting Started | Learning | Reference | Hardware | FAQ

Blog » | Forum » | Playground »

Reference Language | Libraries | Comparison | Changes

## return

Terminate a function and return a value from a function to the calling function, if desired.

#### Syntax:

return;

return value; // both forms are valid

#### Parameters

value: any variable or constant type

#### Examples:

A function to compare a sensor input to a threshold

     int checkSensor(){
        if (analogRead(0) > 400) {
            return 1;
        else{
            return 0;
        }
    }

The return keyword is handy to test a section of code without having to "comment out" large sections of possibly buggy code.

    void loop(){

    // brilliant code idea to test here

    return;

    // the rest of a dysfunctional sketch here
    // this code will never be executed
    }

#### See also

comments

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

Share|
Edit Page | Page History | Printable View | All Recent Site Changes